@extends('theme.'.env('THEME').'.site')

@section('content')

<div class="within">
  <div class="bar">{{ __('site.sinkitoroku') }}</div>
  <div class="back">
    @if ($err)
    <div class="alert alert-danger" role="alert">
      {{ $err }}
    </div>
    @endif
    <form method="POST" action="/register">
      @csrf
      <div class="row body">
        <div class="col-sm-4"><b>{{ __('site.username') }} <span class="badge badge-danger">{{ __('site.hissu') }}</span></b></div>
        <div class="col"><input name="username" id="username-register" type="text" class="form-control" value="{{ $sav['username'] }}" /></div>
      </div>
      <div class="row body">
        <div class="col-sm-4"><b>{{ __('site.password') }} <span class="badge badge-danger">{{ __('site.hissu') }}</span></b></div>
        <div class="col"><input name="password" id="password-register" type="password" class="form-control" /></div>
      </div>
      <div class="row body">
        <div class="col-sm-4"><b>{{ __('site.passwordkakunin') }} <span class="badge badge-danger">{{ __('site.hissu') }}</span></b></div>
        <div class="col"><input name="password_check" id="confirm-register" type="password" class="form-control" /></div>
      </div>
      <div class="row body">
        <div class="col-sm-4"><b>{{ __('site.densimail') }} <span class="badge badge-danger">{{ __('site.hissu') }}</span></b></div>
        <div class="col"><input name="email" id="email-register" type="text" class="form-control" value="{{ $sav['email'] }}" /></div>
      </div>
      <div class="row body">
        <div class="col-sm-4"><b>{{ __('site.kuni') }}</b></div>
        <div class="col">
          <select name="country" id="country-register" class="custom-select">
            @foreach ($res as $r)
              <option value="{{ ($sav['country'] ?: $r['value']) }}">{{ __($r['label']) }}</option>
            @endforeach
          </select>
        </div>
      </div>
      <div class="row body">
        <div class="col-sm-4"><b>{{ __('site.seibetu') }}</b></div>
        <div class="col">
          <div>
            <gender sel="{{ $sav['gender'] }}" />
          </div>
        </div>
      </div>
      <div class="row body">
        <div class="col-sm-4"></div>
        <div class="col"><input name="submit" type="submit" class="btn btn-success btn-block" value="{{ __('site.toroku') }}" /></div>
      </div>
    </form>
  </div>
</div>

@endsection
