<?php

Route::get('/', 'HomeController@index');
Route::get('/blog/{slug}', 'HomeController@post');

Route::get('/changelang/{lang}', function ($lang) {
  setcookie('language', $lang, time()+157788000, '/', $_SERVER['HTTP_HOST'], 0, 1);
  return redirect('/');
});

Route::get('/content/add', 'HomeController@addContent');
Route::post('/content/add', 'HomeController@addContent');
Route::get('/content/{slug}/edit', 'HomeController@editContent');
Route::post('/content/{slug}/edit', 'HomeController@editContent');

Route::get('/login', 'UserController@login');
Route::post('/login', 'UserController@login');
Route::get('/register', 'UserController@register');
Route::post('/register', 'UserController@register');

Route::get('/profile/{id}/edit', 'UserController@editProfile');
Route::post('/profile/{id}/edit', 'UserController@editProfile');
Route::get('/profile/{id}', 'UserController@profile');

Route::get('/video/game/add', 'VideoController@addGame');
Route::post('/video/game/add', 'VideoController@addGame');
Route::get('/video/game/{slug}/edit', 'VideoController@editGame');
Route::post('/video/game/{slug}/edit', 'VideoController@editGame');

Route::get('/video/add', 'VideoController@addVideo');
Route::post('/video/add', 'VideoController@addVideo');
Route::get('/video/{vid}/edit', 'VideoController@editVideo');
Route::post('/video/{vid}/edit', 'VideoController@editVideo');

Route::get('/video', 'VideoController@index');
Route::get('/video/{slug}', 'VideoController@table');
Route::get('/video/play/{vid}', 'VideoController@prayer');

Route::get('/memberlist', 'HomeController@memberList');
Route::get('/commentlist', 'HomeController@commentList');

Route::get('/{slug}', 'HomeController@page');
