<nav class="navbar fixed-top navbar-dark bg-dark navbar-expand-md">
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#hide-smaho" aria-controls="hide-smaho" aria-expanded="false" aria-label="hide-smaho">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="hide-smaho">
    <a href="#" class="navbar-brand"><img src="/img/favicon.jpeg" style="border-radius: 4px;" width="30" height="30" alt="favicon" /></a>
    <ul class="navbar-nav mr-auto">
      <li class="nav-item"><a class="nav-link{{ (strpos($_SERVER['REQUEST_URI'], '/blog') !== false || $_SERVER['REQUEST_URI'] == '/' ? ' active' : '') }}" href="/">{{ __('site.top') }}</a></li>
      <li class="nav-item"><a class="nav-link{{ (strpos($_SERVER['REQUEST_URI'], '/video') !== false || $_SERVER['REQUEST_URI'] == '/video' ? ' active' : '') }}" href="/video">{{ __('site.doga') }}</a></li>
    </ul>
    <ul class="navbar-nav ml-auto">
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="userdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          <img src="/img/tikyu.png" width="25px" height="25px" alt="{{ __('site.gengo') }}" />
        </a>
        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userdown">
          <a href="/changelang/ja" class="dropdown-item">日本語</a>
          <a href="/changelang/en" class="dropdown-item">English</a>
          <a href="/changelang/ko" class="dropdown-item">한국</a>
          <a href="/changelang/zh-CN" class="dropdown-item">简体中文</a>
          <a href="/changelang/zh-TW" class="dropdown-item">中國傳統的</a>
          <a href="/changelang/vi" class="dropdown-item">Tiếng Việt</a>
          <a href="/changelang/de" class="dropdown-item">Deutsch</a>
          <a href="/changelang/es" class="dropdown-item">Español</a>
          <a href="/changelang/fr" class="dropdown-item">Français</a>
          <a href="/changelang/nl" class="dropdown-item">Nederlands</a>
          <a href="/changelang/ru" class="dropdown-item">Русский</a>
        </div>
      </li>
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="userdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          @if ($user)
            <img src="{{ $user->profile->avatar }}" width="25px" height="25px" alt="{{ $user->profile->showname }}のアイコン" />
            <span style="{{ $user->profile->name_style }}">{{ $user->profile->showname }}</span>
          @else
            {{ __('site.minyukaimono') }}
          @endif
        </a>
        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userdown">
          @if ($user)
            <a href="/profile/{{ $user->id }}" class="dropdown-item">{{ __('site.profilenohyoji') }}</a>
            <a href="/profile/{{ $user->id }}/edit" class="dropdown-item">{{ __('site.profilenohensyu') }}</a>
            @if ($user->perm['blg_addpost'] || $user->perm['blg_addpage'])
              <div class="dropdown-divider"></div>
              @if ($user->perm['blg_addpost'] || $user->perm['blg_addpage']) <a href="/content/add" class="dropdown-item">{{ __('site.signout') }}</a> @endif
              @if ($user->perm['blg_addpost']) <a href="/video/add" class="dropdown-item">{{ __('site.signout') }}</a> @endif
            @endif
            @if ($user->perm['blg_addpost'] || $user->perm['blg_addpage'] || $user->perm['blg_editpost'] || $user->perm['blg_editpage'])
              <div class="dropdown-divider"></div>
              <a href="/commentlist" class="dropdown-item">{{ __('site.signout') }}</a>
              <a href="/memberlist" class="dropdown-item">{{ __('site.signout') }}</a>
            @endif
            <div class="dropdown-divider"></div>
            <a href="/logout" class="dropdown-item">{{ __('site.signout') }}</a>
          @else
            <a href="/login" class="dropdown-item">{{ __('site.signin') }}</a>
            <a href="/register" class="dropdown-item">{{ __('site.sinkitoroku') }}</a>
          @endif
        </div>
      </li>
    </ul>
  </div>
</nav>
